GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::solver::CVODESolverStrategy::CVODEUserData Struct Reference

A helper struct to pass C++ context to C-style CVODE callbacks. More...

## Public Attributes
CVODESolverStrategy * | solver_instance
DynamicEngine * | engine
double | T9
double | rho
double | energy
const std::vector< fourdst::atomic::Species > * | networkSpecies
std::unique_ptr< exceptions::StaleEngineTrigger > | captured_exception = nullptr

## Detailed Description

A helper struct to pass C++ context to C-style CVODE callbacks.

Carries pointers back to the solver instance and engine, the current thermodynamic state, energy accumulator, and a slot to capture a copy of exceptions::StaleEngineTrigger from RHS evaluation. The RHS wrapper treats this as a recoverable failure and returns 1 to CVODE, then the driver loop inspects and rethrows.

## Member Data Documentation

## ◆ captured_exception

std::unique_ptr<exceptions::StaleEngineTrigger> gridfire::solver::CVODESolverStrategy::CVODEUserData::captured_exception = nullptr

## ◆ energy

double gridfire::solver::CVODESolverStrategy::CVODEUserData::energy

## ◆ engine

DynamicEngine* gridfire::solver::CVODESolverStrategy::CVODEUserData::engine

## ◆ networkSpecies

const std::vector<fourdst::atomic::Species>* gridfire::solver::CVODESolverStrategy::CVODEUserData::networkSpecies

## ◆ rho

double gridfire::solver::CVODESolverStrategy::CVODEUserData::rho

## ◆ solver_instance

CVODESolverStrategy* gridfire::solver::CVODESolverStrategy::CVODEUserData::solver_instance

## ◆ T9

double gridfire::solver::CVODESolverStrategy::CVODEUserData::T9

The documentation for this struct was generated from the following file:

- src/include/gridfire/solver/strategies/CVODE_solver_strategy.h